The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add Rate Limiting Profile

Prev Next

This URL adds a new rate limiting profile.

Resource URL

POST / ratelimitingprofile

Request Parameters

Payload Request Parameters:

Field Name Description Data Type Mandatory
rateLimitingProfileId Unique rate limiting profile id, not required for POST Number No
name Profile name String Yes
domainId Id of domain to which this profile belongs to Number Yes
visibleToChild Profile visible to child domain Boolean Yes
description Rate limiting profile description String No
lastModifiedTime Last modified time of the profile, not required for POST String No
isEditable Profile is editable or not, not required for POST Boolean No
lastModifiedUser Latest user that modified the profile, not required for POST String No
bandwidthLimits Bandwidth limits in the profile Object Yes

Details of bandwidthLimits:

Field Name Description Data Type Mandatory
interfaceType Interface type, can be "MBPS_10" / "MBPS_100" / "GBPS_1" / "GBPS_100" String Yes
classBandwidthDetails Bandwidth details for each class Array Yes

Details of object in ClassBandwidthDetails:

Field Name Description Data Type Mandatory
qosClass Class Number Yes
bandwidthLimit Bandwidth limit Number Yes
bandwidthUnit Bandwidth unit, can be "KBPS" / "MBPS" / "GBPS" String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
createdResourceId Unique id of the created profile Number

Example

Request

POST https://<NSM_IP>/sdkapi/ratelimitingprofile

Payload:

     	{
       "name": "Profile10Mbps",
       "domainId": 0,
       "visibleToChild": true,
       "description": "Profile Visible To Child Domain in Domain 0 ",
       "bandwidthLimits":
       {
           "interfaceType": "MBPS_10",
           "classBandwidthDetails":
           [
               {
                   "qosClass": 1,
                   "bandwidthLimit": 1024,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 2,
                   "bandwidthLimit": 9,
                   "bandwidthUnit": "MBPS"
               },
               {
                   "qosClass": 3,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 4,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 5,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 6,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 7,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               }
           ]
       }
} 

Response

{
"createdResourceId":1000
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1001 internal error
2 404 1105 Invalid domain
3 400 2401 Rate limiting profile name is required
4 400 2404 Bandwidth value cannot be greater than the configured port type
5 400 2406 Queue profile with the same name already exist
6 400 2407 Rate limiting profile name should not be greater than 40 chars
7 400 2408 Rate limiting profile description should not be greater than 250 char
8 400 2409 Only alpha numeric characters allowed in rate limiting profile name